redi::pstreams Struct Reference

Common base class providing constants and typenames. More...

`#include <pstream.h>`

Inheritance diagram for redi::pstreams:

## Public Types

typedef std::ios_base::openmode | pmode
| Type used to specify how to connect to the process.
typedef std::vector< std::string > | argv_type
| Type used to hold the arguments for a command.
typedef int | fd_type
| Type used for file descriptors.

## Static Public Attributes

static const pmode | pstdin = std::ios_base::out
| Write to stdin.
static const pmode | pstdout = std::ios_base::in
| Read from stdout.
static const pmode | pstderr = std::ios_base::app
| Read from stderr.

## Protected Types

enum | { bufsz = 32 }
enum | { pbsz = 2 }

## Detailed Description

Common base class providing constants and typenames.

The documentation for this struct was generated from the following file:

- pstream.h